Version:	7.2
Release:	17mdk
Summary:	Graphical bootup for Linux
Name:		Aurora
Copyright:	GPL
Packager:	RedHog <redhog@mandrakesoft.com>
Group:		System/Base
Source:		%{name}.redhog.13.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{prefix}
URL:		http://aurora.mini.dhs.org
Buildrequires:	WsLib-devel
Requires:	initscripts >= 5.27-16mdk
Requires:	open >= 1.4-12mdk

%description
Aurora is a graphical front-end to the init process of Linux.
It presents the starting and stopping of services with text
and nice icons telling how the service startup/stop turend out.
Along with the output, a list of runlevels is present, from
which the user may shose a runlevel to change to.

This particular RPM of Aurora is specific to Linux-Mandrake. RPMS for
other distributions and a general RPM that can be installed on several
distributions are available from the Aurora homepage.

%prep
%setup -q -n %{name}

%build
make Monitor CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/Aurora
rm -rf `find -type d -name CVS`
make install-wsmonitor prefix=$RPM_BUILD_ROOT
make install-scripts prefix=$RPM_BUILD_ROOT
ln -s wsMonitor $RPM_BUILD_ROOT/sbin/Monitor
cp README $RPM_BUILD_ROOT/%{_docdir}/Aurora
cp CHANGELOG $RPM_BUILD_ROOT/%{_docdir}/Aurora

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %doc          %{_docdir}/Aurora
%doc               %{_docdir}/Aurora/*
                   /sbin/Monitor
                   /sbin/wsMonitor
                   /sbin/wsMonitorBin
%dir               %{_sysconfdir}/aurora
%config(noreplace) %{_sysconfdir}/aurora/.gtkrc
%config(noreplace) %{_sysconfdir}/aurora/rc
                   %{_sysconfdir}/aurora/rgb.txt
                   %{_sysconfdir}/aurora/input
                   %{_sysconfdir}/aurora/output
                   %{_sysconfdir}/aurora/functions
%dir               %{_sysconfdir}/aurora/config-scripts
%dir               %{_sysconfdir}/aurora/default
                   %{_sysconfdir}/aurora/default/icons
                   %{_sysconfdir}/aurora/default/*.xpm
%config(noreplace) %{_sysconfdir}/aurora/default/gtkrc
%config(noreplace) %{_sysconfdir}/aurora/config-scripts/*


%changelog
* Thu Sep 28 2000 RedHog <redhog@mandrakesoft.com> 7.2-17mdk
- Added a small text that users with /usr on a different filesystem
  see when dumped into an interactive shell (while chvt is then not
  available, he/she have to press ALT+F1...).

* Thu Sep 28 2000 RedHog <redhog@mandrakesoft.com> 7.2-16mdk
- Removed the usage of find, since find resides in /usr, which may be
  on a different filesystem...

* Mon Sep 25 2000 RedHog <redhog@mandrakesoft.com> 7.2-15mdk
- Fix that enables 'i'-pressing before Aurora starts to enter
  interactive bootup...

* Wed Sep 20 2000 RedHog <redhog@mandrakesoft.com> 7.2-14mdk
- Commented out the progress-bar, since I have no time to make it work
  until 7.2...

* Tue Sep 19 2000 RedHog <redhog@mandrakesoft.com> 7.2-13mdk
- Compiled against a newer WsLib and added frames around all dialogs.

* Mon Sep 18 2000 RedHog <redhog@mandrakesoft.com> 7.2-12mdk
- Several majure gfx bugfixes.

* Fri Sep 15 2000 RedHog <redhog@mandrakesoft.com> 7.2-11mdk
- Fix for the mouse-trace-bug, and removal of the kernel-fb
  requirement, since kernel-fb and the normal kernel has merged.

* Fri Sep 15 2000 RedHog <redhog@mandrakesoft.com> 7.2-10mdk
- Some more GUI additions, e.g. "are you sure"-question for runlevel
  switch, and compiled against a much less buggy version of WsLib :)

* Mon Sep 11 2000 RedHog <redhog@mandrakesoft.com> 7.2-9mdk
- Reorder of the control-buttons according to Denis' idea

* Fri Sep  8 2000 RedHog <redhog@mandrakesoft.com> 7.2-8mdk
- Requirement of the correct version of initscripts (Which wasn't
  there before), new icons and recompilation with a newer version of
  WsLib.

* Tue Sep  5 2000 RedHog <redhog@mandrakesoft.com> 7.2-7mdk
- Requirement of open (Which wasn't there before) and cleanup of
  doc-installation.

* Mon Sep  4 2000 RedHog <redhog@mandrakesoft.com> 7.2-6mdk
- fixes for rgbdb (copied it from instaed of relaying on X being
  installed at runtime)

* Fri Sep  1 2000 RedHog <redhog@mandrakesoft.com> 7.2-3mdk
- lot of fixes (pixelsux) (Couldn't stand it :)

* Fri Sep  1 2000 Pixel <pixel@mandrakesoft.com> redhog.13-1mdk
- lot of cleanup (egilsux)

* Mon Aug 31 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> redhog.13-1
- Initial kenobi-compilation...
